%define module_name	dvb
%define module_version	20031013
%define module_release	alt5.6

%define kversion	2.4.26
%define krelease	alt6
%define flavour		std-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Summary(ru_RU.UTF-8): модуль ядра %module_name
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware
Packager: Vyacheslav Dikonov <slava@altlinux.ru>
URL: http://www.linuxtv.org/download/dvb/
ExclusiveOS: Linux
ExclusiveArch: %ix86

BuildPreReq: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

%description
%module_name provides support for various DVB receiver cards, including
SkyStar 1 and 2

%description -l ru_RU.UTF-8
%module_name предоставляет поддержку различных карт DVB-приёма, в том числе
SkyStar 1 и 2

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -q -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C driver CC=gcc KERNEL_LOCATION=%_usrsrc/linux-%kversion-%flavour

%install
# original Makefile is useless here :(
%__install -d %buildroot%module_dir
%__install -p -m644 driver/dvb-core.o %buildroot%module_dir
%__install -p -m644 \
	driver/frontends/alps_bsrv2.o \
	driver/frontends/alps_tdlb7.o \
	driver/frontends/alps_tdmb7.o \
	driver/frontends/grundig_29504-401.o \
	driver/frontends/grundig_29504-491.o \
	driver/frontends/mt312.o \
	driver/frontends/stv0299.o \
	driver/frontends/tda1004x.o \
	driver/frontends/ves1820.o \
	%buildroot%module_dir
%__install -p -m644 driver/av7110/dvb-ttpci.o %buildroot%module_dir
%__install -p -m644 driver/b2c2/skystar2.o %buildroot%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 20031013-alt5.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 20031013-alt4.6
- Rebuild for kernel 2.4.26.

* Mon Apr 05 2004 Sergey Vlasov <vsu@altlinux.ru> 20031013-alt3.6
- Imported into kernel CVS.
- Fixed build for kernel CVS conventions.
- Fixed compiler version selection for new conventions.
- Fixed permissions for installed files.

* Sat Mar 27 2004 Vyacheslav Dikonov <slava@altlinux.ru> 20031013-alt3
- buildfix

* Sun Feb 01 2004 Vyacheslav Dikonov <slava@altlinux.ru> 20031013-alt2
- dvb_shutdown_timeout=0 option turned off by default

* Tue Jan 13 2004 Vyacheslav Dikonov <slava@altlinux.ru> 20031013-alt1
- Initial build not relying on kudzu

